🌍 Astrocartography API, 🔷 Human Design API and ✋ Palmistry API are now live. Ship them in your app today.

Geo Details

Fetches latitude, longitude, timezone, and country details for a given place name, enabling accurate location data for astrological calculations.
POSThttps://json.astrologyapi.com/v1/geo_details

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en.

Body parameters

placestringrequired

place , eg: 'mumbai'

maxRowsintrequired

number of result at time, eg: 2

curl --location 'https://json.astrologyapi.com/v1/geo_details' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "place": "mum",
    "maxRows": "2"
}'
Try it

Runs with sample data — no API key needed

{
  "geonames": [
    {
      "place_name": "Mumbai",
      "latitude": 19.07283,
      "longitude": "72.88261",
      "timezone_id": "Asia/Kolkata",
      "country_code": "IN"
    },
    {
      "place_name": "Navi Mumbai",
      "latitude": 19.03681,
      "longitude": "73.01582",
      "timezone_id": "Asia/Kolkata",
      "country_code": "IN"
    }
  ]
}